.footer {
  padding: 26px 0;
}

.footer__box {
}

.footer__top {
  border-top: 1px solid var(--line);
}

.footer__top-box {
}

.footer__top-content {
  padding: 60px 0;
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 30px;
}

.footer__contacts {
  display: flex;
  flex-direction: column;
  gap: 30px;
}

.footer__num {
  font-size: 40px;
  color: var(--textTel);

  & > span {
    border-bottom: 2px solid var(--textTel);
  }
}

.footer__email {
  font-size: 32px;
  border-bottom: 2px solid transparent;
  line-height: 120%;
  width: max-content;
}

.footer__logo {
  display: block;
  height: 70px;
}

.footer__logo-img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}

.footer__top-links {
  display: flex;
  justify-content: flex-end;
  align-items: center;
  width: 33.33%;
  gap: 34px;
}

.footer__top-link {
  width: 90px;
  height: 90px;
}

.footer__bottom {
  border-top: 1px solid var(--line);
}

.footer__bottom-box {
}

.footer__bottom-content {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 30px;
}

.footer__bottom-left {
}

.footer__bottom-links {
  display: flex;
  gap: 64px;
  flex-wrap: wrap;
}

.footer__bottom-link {
  font-size: 24px;
  color: var(--textMedium) !important;
}

.footer__bottom-left {
  & > span {
    color: var(--textTel);
  }
}

@media (hover: hover) {
  .footer__num:hover {
    & > span {
      border-color: transparent;
    }
  }

  .footer__email:hover {
    border-color: var(--textDark);
  }

  .footer__bottom-link:hover {
    color: var(--textColor) !important;
  }
}

@media screen and (max-width: 1500px) {
  .footer__bottom-content {
    * {
      font-size: 20px;
    }
  }

  .footer__contacts {
    gap: 20px;
  }

  .footer__top-links {
    gap: 26px;
  }

  .footer__bottom-links {
    gap: 34px;
  }
}

@media screen and (max-width: 1200px) {
  .footer__contacts {
    gap: 14px;
  }

  .footer__num {
    font-size: 32px;
  }

  .footer__email {
    font-size: 24px;
  }

  .footer__top-link {
    width: 80px;
    height: 80px;
  }
}

@media screen and (max-width: 1100px) {
  .footer__logo {
    height: 50px;
  }

  .footer__top-links {
    gap: 18px;
    width: unset;
  }

  .footer__top-link {
    width: 64px;
    height: 64px;

    img {
      width: 60px;
    }
  }

  .footer__bottom-content {
    * {
      font-size: 18px;
    }
  }
}

@media screen and (max-width: 1000px) {
  .footer__bottom-content {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr 1fr;
    grid-template-areas:
      "bottomLinks bottomLinks"
      "bottomLeft bottomRight";
    gap: 10px;
  }

  .footer__bottom-left {
    grid-area: bottomLeft;
  }

  .footer__bottom-links {
    justify-content: space-between;
    grid-area: bottomLinks;
  }

  .footer__bottom-right {
    grid-area: bottomRight;
    text-align: right;
  }
}

@media screen and (max-width: 900px) {
  .footer__top-content {
    padding: 40px 0;
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr 1fr;
    gap: 20px;
    grid-template-areas:
      "logo logo"
      "contacts topLinks";
  }

  .footer__contacts {
    grid-area: contacts;
  }

  .footer__logo {
    grid-area: logo;
  }

  .footer__top-links {
    margin-left: auto;
    grid-area: topLinks;
  }
}

@media screen and (max-width: 620px) {
  .footer__top-content {
    grid-template-columns: 1fr;
    grid-template-rows: repeat(3, 1fr);
    grid-template-areas:
      "logo"
      "topLinks"
      "contacts";
    justify-items: center;
  }

  .footer__top-links {
    margin: 0 auto;
  }

  .footer__bottom-links {
    gap: 10px 14px;
  }
}

@media screen and (max-width: 500px) {
  .footer__bottom-content {
    grid-template-columns: 1fr;
    grid-template-rows: repeat(3, auto);
    grid-template-areas:
      "bottomLinks"
      "bottomLeft"
      "bottomRight";
    justify-items: center;
  }
}
